### A free/open-source library for quantitative finance

Public Types | Public Member Functions
MCPagodaEngine< RNG, S > Class Template Reference

Pricing engine for pagoda options using Monte Carlo simulation. More...

`#include <ql/experimental/exoticoptions/mcpagodaengine.hpp>`

Inheritance diagram for MCPagodaEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef McSimulation < MultiVariate, RNG, S > ::path_generator_type | path_generator_type
typedef McSimulation < MultiVariate, RNG, S > ::path_pricer_type | path_pricer_type
typedef McSimulation < MultiVariate, RNG, S > ::stats_type | stats_type

## Public Member Functions

| MCPagodaEngine (const boost::shared_ptr< StochasticProcessArray > &, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCPagodaEngine< RNG, S >

Pricing engine for pagoda options using Monte Carlo simulation.